Bug 376241 - Mp3 with embedded image causes taglib to crash
Mp3 with embedded image causes taglib to crash
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: taglib (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
: 392591 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 13:04 EST by Rene Ploetz
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.5-0.6.20071111svn.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 12:59:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 138829 None None None Never

  None (edit)
Description Rene Ploetz 2007-11-11 13:04:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.8) Gecko/20071030 Fedora/2.0.0.8-2.fc8 Firefox/2.0.0.8

Description of problem:
When trying to change a song in Amarok, if the underlying taglib trys to read the ID3v2 tag of an mp3 with an embedded image, the program crashes with the following backtrace:

Program received signal SIGABRT, Aborted.
[Switching to Thread 1168165200 (LWP 21199)]
0x0000003e80830ec5 in raise () from /lib64/libc.so.6
(gdb) backtrace
#0  0x0000003e80830ec5 in raise () from /lib64/libc.so.6
#1  0x0000003e80832970 in abort () from /lib64/libc.so.6
#2  0x0000003e870becb4 in __gnu_cxx::__verbose_terminate_handler ()
   from /usr/lib64/libstdc++.so.6
#3  0x0000003e870bce76 in QGList::~QGList$delete ()
   from /usr/lib64/libstdc++.so.6
#4  0x0000003e870bcea3 in std::terminate () from /usr/lib64/libstdc++.so.6
#5  0x0000003e870bcf8a in __cxa_throw () from /usr/lib64/libstdc++.so.6
#6  0x0000003e870bd249 in operator new () from /usr/lib64/libstdc++.so.6
#7  0x0000003e93844726 in std::vector<char, std::allocator<char> >::_M_range_insert<__gnu_cxx::__normal_iterator<char const*, std::vector<char, std::allocator<char> > > > () from /usr/lib64/libtag.so.1
#8  0x0000003e938437b3 in TagLib::ByteVector::mid ()
   from /usr/lib64/libtag.so.1
#9  0x0000003e9382df77 in TagLib::ID3v2::Frame::readStringField ()
   from /usr/lib64/libtag.so.1
#10 0x0000003e9382ed41 in TagLib::ID3v2::AttachedPictureFrame::parseFields ()
   from /usr/lib64/libtag.so.1
#11 0x0000003e9382f213 in TagLib::ID3v2::AttachedPictureFrame::AttachedPictureFrame () from /usr/lib64/libtag.so.1
#12 0x0000003e9382aad5 in TagLib::ID3v2::FrameFactory::createFrame ()
   from /usr/lib64/libtag.so.1
#13 0x0000003e9382b287 in TagLib::ID3v2::Tag::parse ()
   from /usr/lib64/libtag.so.1
#14 0x0000003e9382b484 in TagLib::ID3v2::Tag::read ()
   from /usr/lib64/libtag.so.1
#15 0x0000003e9382558d in TagLib::MPEG::File::read ()
   from /usr/lib64/libtag.so.1
#16 0x0000003e938490b1 in TagLib::FileRef::create ()
   from /usr/lib64/libtag.so.1
#17 0x0000003e9384918d in TagLib::FileRef::FileRef ()
   from /usr/lib64/libtag.so.1
#18 0x0000003178361261 in MetaBundle::readTags (this=0x45a0bca0, 
    readStyle=TagLib::AudioProperties::Fast, images=0x0) at metabundle.cpp:503
#19 0x0000003178363247 in MetaBundle (this=0x45a0bca0, url=@0x2196580, 
    noCache=false, readStyle=TagLib::AudioProperties::Fast, images=0x0)
    at metabundle.cpp:234
#20 0x00000031782cdc77 in CurrentTrackJob::doJob (this=0x21964c0)
    at contextbrowser.cpp:3037
#21 0x0000003178483cd5 in ThreadManager::Thread::run (this=0xbef6f0)
    at threadmanager.cpp:302
#22 0x0000003e88afb915 in QThreadInstance::start ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#23 0x0000003e81406407 in start_thread () from /lib64/libpthread.so.0
#24 0x0000003e808d4b0d in clone () from /lib64/libc.so.6


If I try to view the ID3v2 tags of this file the backtrace will look like this:
Program received signal SIGABRT, Aborted.
[Switching to Thread 46912512352240 (LWP 21233)]
0x0000003e80830ec5 in raise () from /lib64/libc.so.6
(gdb) backtrace
#0  0x0000003e80830ec5 in raise () from /lib64/libc.so.6
#1  0x0000003e80832970 in abort () from /lib64/libc.so.6
#2  0x0000003e870becb4 in __gnu_cxx::__verbose_terminate_handler () from /usr/lib64/libstdc++.so.6
#3  0x0000003e870bce76 in QGList::~QGList$delete () from /usr/lib64/libstdc++.so.6
#4  0x0000003e870bcea3 in std::terminate () from /usr/lib64/libstdc++.so.6
#5  0x0000003e870bcf8a in __cxa_throw () from /usr/lib64/libstdc++.so.6
#6  0x0000003e870bd249 in operator new () from /usr/lib64/libstdc++.so.6
#7  0x0000003e93844726 in std::vector<char, std::allocator<char> >::_M_range_insert<__gnu_cxx::__normal_iterator<char const*, std::vector<char, std::allocator<char> > > > () from /usr/lib64/libtag.so.1
#8  0x0000003e938437b3 in TagLib::ByteVector::mid () from /usr/lib64/libtag.so.1
#9  0x0000003e9382df77 in TagLib::ID3v2::Frame::readStringField () from /usr/lib64/libtag.so.1
#10 0x0000003e9382ed41 in TagLib::ID3v2::AttachedPictureFrame::parseFields () from /usr/lib64/libtag.so.1
#11 0x0000003e9382f213 in TagLib::ID3v2::AttachedPictureFrame::AttachedPictureFrame () from /usr/lib64/libtag.so.1
#12 0x0000003e9382aad5 in TagLib::ID3v2::FrameFactory::createFrame () from /usr/lib64/libtag.so.1
#13 0x0000003e9382b287 in TagLib::ID3v2::Tag::parse () from /usr/lib64/libtag.so.1
#14 0x0000003e9382b484 in TagLib::ID3v2::Tag::read () from /usr/lib64/libtag.so.1
#15 0x0000003e9382558d in TagLib::MPEG::File::read () from /usr/lib64/libtag.so.1
#16 0x0000003e938490b1 in TagLib::FileRef::create () from /usr/lib64/libtag.so.1
#17 0x0000003e9384918d in TagLib::FileRef::FileRef () from /usr/lib64/libtag.so.1
#18 0x0000003178361261 in MetaBundle::readTags (this=0x7fffec18bc90, readStyle=TagLib::AudioProperties::Fast, images=0x0)
    at metabundle.cpp:503
#19 0x0000003178363247 in MetaBundle (this=0x7fffec18bc90, url=@0x1412a08, noCache=true, readStyle=TagLib::AudioProperties::Fast, images=0x0)
    at metabundle.cpp:234
#20 0x00000031784720bb in TagDialog::bundleForURL (this=<value optimized out>, url=@0x1412a08) at tagdialog.cpp:1156
#21 0x000000317847278a in TagDialog::loadTags (this=0x52f1, url=@0x1412a08) at tagdialog.cpp:1116
#22 0x000000317847a6a4 in TagDialog::init (this=0x255e4c0) at tagdialog.cpp:543
#23 0x0000003178397a3b in Playlist::showTagDialog (this=0xa2aba0, items=<value optimized out>) at playlist.cpp:4723
#24 0x00000031783a3042 in Playlist::showContextMenu (this=0xa2aba0, item=0x1412b38, p=@0x7fffec18d350, col=2) at playlist.cpp:3987
#25 0x00000031783a3901 in Playlist::slotMouseButtonPressed (this=0xa2aba0, button=<value optimized out>, after=0x1412b38, p=@0x0, col=-1)
    at playlist.cpp:4576
#26 0x00000031783a63ab in Playlist::qt_invoke (this=0xa2aba0, _id=175, _o=0x7fffec18d120) at playlist.moc:555
#27 0x0000003e88b63a59 in QObject::activate_signal () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#28 0x0000003e88eac89c in QListView::mouseButtonPressed () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#29 0x0000003e88c4ab2a in QListView::contentsMousePressEventEx () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#30 0x0000003e8e3d433d in KListView::contentsMousePressEvent () from /usr/lib64/libkdeui.so.4
#31 0x00000031783984fc in Playlist::contentsMousePressEvent (this=0xa2aba0, e=0x7fffec18d460) at playlist.cpp:4198
#32 0x0000003e88c7a14e in QScrollView::viewportMousePressEvent () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#33 0x0000003e88c77c59 in QScrollView::eventFilter () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#34 0x0000003e88c465df in QListView::eventFilter () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#35 0x00000031783997f7 in Playlist::eventFilter (this=0xa2aba0, o=0xa2bbc0, e=0x7fffec18ddf0) at playlist.cpp:2960
#36 0x0000003e88b630e2 in QObject::activate_filters () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#37 0x0000003e88b63157 in QObject::event () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#38 0x0000003e88b9a6b8 in QWidget::event () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#39 0x0000003e88b029a5 in QApplication::internalNotify () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#40 0x0000003e88b03e50 in QApplication::notify () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#41 0x0000003e89dc3678 in KApplication::notify () from /usr/lib64/libkdecore.so.4
#42 0x0000003e88aa1b5a in QETWidget::translateMouseEvent () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#43 0x0000003e88aa0f49 in QApplication::x11ProcessEvent () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#44 0x0000003e88ab0ea4 in QEventLoop::processEvents () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#45 0x0000003e88b1a151 in QEventLoop::enterLoop () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#46 0x0000003e88b1a032 in QEventLoop::exec () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#47 0x0000000000404793 in main (argc=1, argv=0x7fffec18e6e8) at main.cpp:114
#48 0x0000003e8081e074 in __libc_start_main () from /lib64/libc.so.6
#49 0x00000000004040e9 in _start ()

Version-Release number of selected component (if applicable):
taglib-1.5-0.5.20070924svn.fc8

How reproducible:
Always


Steps to Reproduce:
1. Start Amarok
2. Try to play the mp3 / Try to look at the ID3v2 tags


Actual Results:


Expected Results:


Additional info:
The crash did not take place with Amarok in F7 - so maybe the update of taglib in bug #272361 did introduce the problem.
Comment 1 Rene Ploetz 2007-11-11 13:23:40 EST
Oops, forgot the debuginfo for taglib :/

First crash:
Program received signal SIGABRT, Aborted.
[Switching to Thread 1168165200 (LWP 22192)]
0x0000003e80830ec5 in raise () from /lib64/libc.so.6
(gdb) backtrace
#0  0x0000003e80830ec5 in raise () from /lib64/libc.so.6
#1  0x0000003e80832970 in abort () from /lib64/libc.so.6
#2  0x0000003e870bec8f in __gnu_cxx::__verbose_terminate_handler () from
/usr/lib64/libstdc++.so.6
#3  0x0000003e870bce76 in QGList::~QGList$delete () from /usr/lib64/libstdc++.so.6
#4  0x0000003e870bcea3 in std::terminate () from /usr/lib64/libstdc++.so.6
#5  0x0000003e870bcf8a in __cxa_throw () from /usr/lib64/libstdc++.so.6
#6  0x0000003e870bd249 in operator new () from /usr/lib64/libstdc++.so.6
#7  0x0000003e93844726 in std::vector<char, std::allocator<char>
>::_M_range_insert<__gnu_cxx::__normal_iterator<char const*, std::vector<char,
std::allocator<char> > > > (this=0x1e41d78, __position={_M_current = 0x0},
__first={_M_current = 0x1e83e3e ""}, __last=<value optimized out>)
    at /usr/include/c++/4.1.2/ext/new_allocator.h:88
#8  0x0000003e938437b3 in TagLib::ByteVector::mid (this=<value optimized out>,
index=14, length=4294967294)
    at /usr/include/c++/4.1.2/bits/stl_vector.h:894
#9  0x0000003e9382df77 in TagLib::ID3v2::Frame::readStringField (this=<value
optimized out>, data=@0x45a0b1f0, 
    encoding=TagLib::String::UTF16, position=<value optimized out>) at
/usr/src/debug/taglib/taglib/mpeg/id3v2/id3v2frame.cpp:203
#10 0x0000003e9382ed41 in TagLib::ID3v2::AttachedPictureFrame::parseFields
(this=0x1b89460, data=@0x45a0b1f0)
    at /usr/src/debug/taglib/taglib/mpeg/id3v2/frames/attachedpictureframe.cpp:134
#11 0x0000003e9382f213 in AttachedPictureFrame (this=0x1b89460,
data=@0x45a0b2b0, h=<value optimized out>)
    at /usr/src/debug/taglib/taglib/mpeg/id3v2/frames/attachedpictureframe.cpp:161
#12 0x0000003e9382aad5 in TagLib::ID3v2::FrameFactory::createFrame
(this=0x1d61050, data=@0x45a0b2b0, version=<value optimized out>)
    at /usr/src/debug/taglib/taglib/mpeg/id3v2/id3v2framefactory.cpp:147
#13 0x0000003e9382b287 in TagLib::ID3v2::Tag::parse (this=0x1a2a120,
data=@0x45a0b310)
    at /usr/src/debug/taglib/taglib/mpeg/id3v2/id3v2tag.cpp:423
#14 0x0000003e9382b484 in TagLib::ID3v2::Tag::read (this=0x1a2a120) at
/usr/src/debug/taglib/taglib/mpeg/id3v2/id3v2tag.cpp:376
#15 0x0000003e9382558d in TagLib::MPEG::File::read (this=0x1a13ae0,
readProperties=true, propertiesStyle=TagLib::AudioProperties::Fast)
    at /usr/src/debug/taglib/taglib/mpeg/mpegfile.cpp:537
#16 0x0000003e938490b1 in TagLib::FileRef::create (fileName=0x1e41110
"/misc/music/soundtrack/veronica mars/12 - the way you are.mp3", 
    readAudioProperties=true,
audioPropertiesStyle=TagLib::AudioProperties::Fast) at
/usr/src/debug/taglib/taglib/fileref.cpp:169
#17 0x0000003e9384918d in FileRef (this=0x45a0b580, fileName=0x562a <Address
0x562a out of bounds>, readAudioProperties=176, 
    audioPropertiesStyle=4294967295) at /usr/src/debug/taglib/taglib/fileref.cpp:59
#18 0x0000003178361261 in MetaBundle::readTags (this=0x45a0bca0,
readStyle=TagLib::AudioProperties::Fast, images=0x0) at metabundle.cpp:503
#19 0x0000003178363247 in MetaBundle (this=0x45a0bca0, url=@0x1e3c980,
noCache=false, readStyle=TagLib::AudioProperties::Fast, images=0x0)
    at metabundle.cpp:234
#20 0x00000031782cdc77 in CurrentTrackJob::doJob (this=0x1e3c8c0) at
contextbrowser.cpp:3037
#21 0x0000003178483cd5 in ThreadManager::Thread::run (this=0xbef950) at
threadmanager.cpp:302
#22 0x0000003e88afb915 in QThreadInstance::start () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#23 0x0000003e81406407 in start_thread () from /lib64/libpthread.so.0
#24 0x0000003e808d4b0d in clone () from /lib64/libc.so.6


Second Crash:
Program received signal SIGABRT, Aborted.
[Switching to Thread 46912512352240 (LWP 22629)]
0x0000003e80830ec5 in raise () from /lib64/libc.so.6
(gdb) backtrace
#0  0x0000003e80830ec5 in raise () from /lib64/libc.so.6
#1  0x0000003e80832970 in abort () from /lib64/libc.so.6
#2  0x0000003e870becb4 in __gnu_cxx::__verbose_terminate_handler () from
/usr/lib64/libstdc++.so.6
#3  0x0000003e870bce76 in QGList::~QGList$delete () from /usr/lib64/libstdc++.so.6
#4  0x0000003e870bcea3 in std::terminate () from /usr/lib64/libstdc++.so.6
#5  0x0000003e870bcf8a in __cxa_throw () from /usr/lib64/libstdc++.so.6
#6  0x0000003e870bd249 in operator new () from /usr/lib64/libstdc++.so.6
#7  0x0000003e93844726 in std::vector<char, std::allocator<char>
>::_M_range_insert<__gnu_cxx::__normal_iterator<char const*, std::vector<char,
std::allocator<char> > > > (this=0x245d228, __position={_M_current = 0x0},
__first={_M_current = 0x248188e ""}, __last=<value optimized out>)
    at /usr/include/c++/4.1.2/ext/new_allocator.h:88
#8  0x0000003e938437b3 in TagLib::ByteVector::mid (this=<value optimized out>,
index=14, length=4294967294)
    at /usr/include/c++/4.1.2/bits/stl_vector.h:894
#9  0x0000003e9382df77 in TagLib::ID3v2::Frame::readStringField (this=<value
optimized out>, data=@0x7fff6a83d840, 
    encoding=TagLib::String::UTF16, position=<value optimized out>) at
/usr/src/debug/taglib/taglib/mpeg/id3v2/id3v2frame.cpp:203
#10 0x0000003e9382ed41 in TagLib::ID3v2::AttachedPictureFrame::parseFields
(this=0x246b580, data=@0x7fff6a83d840)
    at /usr/src/debug/taglib/taglib/mpeg/id3v2/frames/attachedpictureframe.cpp:134
#11 0x0000003e9382f213 in AttachedPictureFrame (this=0x246b580,
data=@0x7fff6a83d900, h=<value optimized out>)
    at /usr/src/debug/taglib/taglib/mpeg/id3v2/frames/attachedpictureframe.cpp:161
#12 0x0000003e9382aad5 in TagLib::ID3v2::FrameFactory::createFrame
(this=0x246c9c0, data=@0x7fff6a83d900, version=<value optimized out>)
    at /usr/src/debug/taglib/taglib/mpeg/id3v2/id3v2framefactory.cpp:147
#13 0x0000003e9382b287 in TagLib::ID3v2::Tag::parse (this=0x246c7e0,
data=@0x7fff6a83d960)
    at /usr/src/debug/taglib/taglib/mpeg/id3v2/id3v2tag.cpp:423
#14 0x0000003e9382b484 in TagLib::ID3v2::Tag::read (this=0x246c7e0) at
/usr/src/debug/taglib/taglib/mpeg/id3v2/id3v2tag.cpp:376
#15 0x0000003e9382558d in TagLib::MPEG::File::read (this=0x246ca20,
readProperties=true, propertiesStyle=TagLib::AudioProperties::Fast)
    at /usr/src/debug/taglib/taglib/mpeg/mpegfile.cpp:537
#16 0x0000003e938490b1 in TagLib::FileRef::create (fileName=0x2471970
"/misc/music/soundtrack/veronica mars/12 - the way you are.mp3", 
    readAudioProperties=true,
audioPropertiesStyle=TagLib::AudioProperties::Fast) at
/usr/src/debug/taglib/taglib/fileref.cpp:169
#17 0x0000003e9384918d in FileRef (this=0x7fff6a83dbd0, fileName=0x5865 <Address
0x5865 out of bounds>, readAudioProperties=101, 
    audioPropertiesStyle=4294967295) at /usr/src/debug/taglib/taglib/fileref.cpp:59
#18 0x0000003178361261 in MetaBundle::readTags (this=0x7fff6a83e350,
readStyle=TagLib::AudioProperties::Fast, images=0x0)
    at metabundle.cpp:503
#19 0x0000003178363247 in MetaBundle (this=0x7fff6a83e350, url=@0x12e8958,
noCache=true, readStyle=TagLib::AudioProperties::Fast, images=0x0)
    at metabundle.cpp:234
#20 0x00000031784720bb in TagDialog::bundleForURL (this=<value optimized out>,
url=@0x12e8958) at tagdialog.cpp:1156
#21 0x000000317847278a in TagDialog::loadTags (this=0x5865, url=@0x12e8958) at
tagdialog.cpp:1116
#22 0x000000317847a6a4 in TagDialog::init (this=0x2116350) at tagdialog.cpp:543
#23 0x0000003178397a3b in Playlist::showTagDialog (this=0xa2abd0, items=<value
optimized out>) at playlist.cpp:4723
#24 0x00000031783a3042 in Playlist::showContextMenu (this=0xa2abd0,
item=0x12e8a88, p=@0x7fff6a83fa10, col=2) at playlist.cpp:3987
#25 0x00000031783a3901 in Playlist::slotMouseButtonPressed (this=0xa2abd0,
button=<value optimized out>, after=0x12e8a88, p=@0x0, col=-1)
    at playlist.cpp:4576
#26 0x00000031783a63ab in Playlist::qt_invoke (this=0xa2abd0, _id=175,
_o=0x7fff6a83f7e0) at playlist.moc:555
#27 0x0000003e88b63a59 in QObject::activate_signal () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#28 0x0000003e88eac89c in QListView::mouseButtonPressed () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#29 0x0000003e88c4ab2a in QListView::contentsMousePressEventEx () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#30 0x0000003e8e3d433d in KListView::contentsMousePressEvent () from
/usr/lib64/libkdeui.so.4
#31 0x00000031783984fc in Playlist::contentsMousePressEvent (this=0xa2abd0,
e=0x7fff6a83fb20) at playlist.cpp:4198
#32 0x0000003e88c7a14e in QScrollView::viewportMousePressEvent () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#33 0x0000003e88c77c59 in QScrollView::eventFilter () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#34 0x0000003e88c465df in QListView::eventFilter () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#35 0x00000031783997f7 in Playlist::eventFilter (this=0xa2abd0, o=0xa2bbf0,
e=0x7fff6a8404b0) at playlist.cpp:2960
#36 0x0000003e88b630e2 in QObject::activate_filters () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#37 0x0000003e88b63157 in QObject::event () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#38 0x0000003e88b9a6b8 in QWidget::event () from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#39 0x0000003e88b029a5 in QApplication::internalNotify () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#40 0x0000003e88b03e50 in QApplication::notify () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#41 0x0000003e89dc3678 in KApplication::notify () from /usr/lib64/libkdecore.so.4
#42 0x0000003e88aa1b5a in QETWidget::translateMouseEvent () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#43 0x0000003e88aa0f49 in QApplication::x11ProcessEvent () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#44 0x0000003e88ab0ea4 in QEventLoop::processEvents () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#45 0x0000003e88b1a151 in QEventLoop::enterLoop () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#46 0x0000003e88b1a032 in QEventLoop::exec () from
/usr/lib64/qt-3.3/lib/libqt-mt.so.3
#47 0x0000000000404793 in main (argc=1, argv=0x7fff6a840da8) at main.cpp:114
#48 0x0000003e8081e074 in __libc_start_main () from /lib64/libc.so.6
#49 0x00000000004040e9 in _start ()
Comment 2 Rene Ploetz 2007-11-11 15:18:59 EST
I updated my F8 taglib with the current svn-version.

The problem is now gone - maybe this is related to this bug report
http://bugs.kde.org/show_bug.cgi?id=138829 and the corresponding fix that was
checked into svn (r733565)?
Comment 3 Rex Dieter 2007-11-11 15:27:20 EST
Thanks for columbo-like investigative work! :)

Would it be possible to supply a sample mp3 that exhibits this problem?
(or possibly send it to me privately, so I can debug/confirm the fix.)

Comment 4 Rex Dieter 2007-11-11 21:49:44 EST
Confirmed that recent snapshot fixes issue here...
Comment 5 Rex Dieter 2007-11-11 21:55:40 EST
* Sun Nov 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.5-0.6.20071111svn
- svn20071111 snapshot (#376241)
Comment 6 Rex Dieter 2007-11-11 22:30:18 EST
F-8 build queue'd for updates-testing:
http://koji.fedoraproject.org/koji/buildinfo?buildID=23969
Comment 7 Fedora Update System 2007-11-12 19:12:19 EST
taglib-1.5-0.6.20071111svn.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update taglib'
Comment 8 Steven Stern 2007-11-13 08:10:32 EST
Amarok continues to report taglib problems with taglib-1.5-0.6.20071111svn.fc8.
 I will email you a file that generates an error.
Comment 9 Steven Stern 2007-11-13 08:22:27 EST
The problem seems to be only with WMA files and is under discussion in a number
of amaork related threads....
Comment 10 Rex Dieter 2007-11-13 09:57:06 EST
We've done pretty much all we can from this end of things.  Remaining issues are
out of our hands.

If problems persist, please take the issues upstream to one (or more) of:
bugs.kde.org, amarok mailing list, taglib mailing list.
Comment 11 Fedora Update System 2007-11-20 12:59:16 EST
taglib-1.5-0.6.20071111svn.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Rex Dieter 2007-11-20 13:16:23 EST
OK, comment #10 is pretty lame on my part.  We'll continue to do everything we
can to help resolve any remaining issues, including working-with and
coordinating with upstream as much as possible.  There, that sounds a little
better. :)
Comment 13 Rex Dieter 2007-11-21 09:54:04 EST
*** Bug 392591 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.